Debian Bug report logs - #445507
not working on mipsel - initrd not starting

version graph

Package: mklibs; Maintainer for mklibs is Debian Install System Team <debian-boot@lists.debian.org>; Source for mklibs is src:mklibs.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sat, 6 Oct 2007 11:51:02 UTC

Severity: serious

Tags: lenny-ignore

Found in version mklibs/0.1.26

Done: Aurelien Jarno <aurelien@aurel32.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: not working on mipsel - initrd not starting
Date: Sat, 6 Oct 2007 13:40:20 +0200
Package: mklibs
Version: 0.1.26
Severity: important

It seems that mklibs is not working properly on mipsel.  When I boot a
daily d-i image made with mklibs it stops after:
| Freeing unused kernel memory: 124k freed
When I re-build the image with mklibs-copy, it works.  The only
difference is:

Binary files c/lib/libc.so.6 and m/lib/libc.so.6 differ
Binary files c/lib/libfribidi.so.0.0.0 and m/lib/libfribidi.so.0.0.0 differ
Binary files c/lib/libm.so.6 and m/lib/libm.so.6 differ
Binary files c/lib/libnss_dns-2.6.1.so and m/lib/libnss_dns-2.6.1.so differ
Binary files c/lib/libnss_files-2.6.1.so and m/lib/libnss_files-2.6.1.so differ
Binary files c/lib/libresolv.so.2 and m/lib/libresolv.so.2 differ
Binary files c/lib/libslang.so.2 and m/lib/libslang.so.2 differ

This is the same I reported back in September:
http://lists.debian.org/debian-boot/2007/09/msg00028.html
http://lists.debian.org/debian-boot/2007/09/msg00036.html
I was told that this was due to #433874 but given that this is fixed
now it must be something else.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Sat, 6 Oct 2007 14:08:04 +0200
* Martin Michlmayr <tbm@cyrius.com> [2007-10-06 13:40]:
> When I re-build the image with mklibs-copy, it works.  The only
> difference is:
> 
> Binary files c/lib/libc.so.6 and m/lib/libc.so.6 differ

This is what makes a difference.  I copied c/lib/libc.so.6 (i.e. made
with mklibs-copy) to the image made with mklibs and now it's working.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 445507@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 445507@bugs.debian.org
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Sat, 20 Oct 2007 18:09:32 +0200
severity 445507 serious
thanks

* Martin Michlmayr <tbm@cyrius.com> [2007-10-06 14:08]:
> > Binary files c/lib/libc.so.6 and m/lib/libc.so.6 differ
> 
> This is what makes a difference.  I copied c/lib/libc.so.6 (i.e. made
> with mklibs-copy) to the image made with mklibs and now it's working.

I just tried a d-i daily on QEMU (mips and mipsel) and Cobalt (mipsel)
and none start.
-- 
Martin Michlmayr
http://www.cyrius.com/




Severity set to `serious' from `important' Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 20 Oct 2007 16:10:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 445507@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 445507@bugs.debian.org
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Sat, 20 Oct 2007 15:29:45 -0200
Martin Michlmayr <tbm@cyrius.com> writes:

> severity 445507 serious
> thanks
>
> * Martin Michlmayr <tbm@cyrius.com> [2007-10-06 14:08]:
>> > Binary files c/lib/libc.so.6 and m/lib/libc.so.6 differ
>> 
>> This is what makes a difference.  I copied c/lib/libc.so.6 (i.e. made
>> with mklibs-copy) to the image made with mklibs and now it's working.
>
> I just tried a d-i daily on QEMU (mips and mipsel) and Cobalt (mipsel)
> and none start.

Could you check the included symbols on both libc.so.6 files and do a
diff between them? This could help to track it out.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 445507@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Otavio Salvador <otavio@debian.org>
Cc: 445507@bugs.debian.org
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Sat, 20 Oct 2007 20:28:45 +0200
* Otavio Salvador <otavio@debian.org> [2007-10-20 15:29]:
> Could you check the included symbols on both libc.so.6 files and do
> a diff between them? This could help to track it out.

For the record, I gave waldi access to a mipsel box.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 445507@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 445507@bugs.debian.org
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Sat, 20 Oct 2007 21:18:24 +0200
On Sat, Oct 06, 2007 at 01:40:20PM +0200, Martin Michlmayr wrote:
> When I re-build the image with mklibs-copy, it works.  The only
> difference is:

| $ ./lib/ld.so.1 --library-path lib/ ./bin/sh
| Segmentation fault

| execve("./lib/ld.so.1", ["./lib/ld.so.1", "--library-path", "lib/", "./bin/sh"], [/* 14 vars */]) = 0
| svr4_syscall()                          = -1 ERRNO_4045 (Unknown error 4045)
| open("./bin/sh", O_RDONLY)              = 3
| read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\2\0\10\0\1\0\0\0\240R@"..., 512) = 512
| fstat64(3, {st_mode=S_IFREG|0755, st_size=379984, ...}) = 0
| getcwd("/home/waldi/d-i/trunk/installer/build/tmp/cobalt_netboot-2.6_serial/tree", 128) = 73
| old_mmap(0x400000, 348160, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0) = 0x400000
| old_mmap(0x464000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x54000) = 0x464000
| old_mmap(0x468000, 15636, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x468000
| close(3)                                = 0
| uname({sys="Linux", node="swarm", ...}) = 0
| access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
| old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2aaa8000
| access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
| open("lib/tls/libc.so.6", O_RDONLY)     = -1 ENOENT (No such file or directory)
| open("lib/libc.so.6", O_RDONLY)         = 3
| read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\10\0\1\0\0\0\200\262"..., 512) = 512
| fstat64(3, {st_mode=S_IFREG|0644, st_size=873624, ...}) = 0
| getcwd("/home/waldi/d-i/trunk/installer/build/tmp/cobalt_netboot-2.6_serial/tree", 128) = 73
| old_mmap(NULL, 904284, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x2aaa9000
| mprotect(0x2ab6f000, 61440, PROT_NONE)  = 0
| old_mmap(0x2ab7e000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xc5000) = 0x2ab7e000
| old_mmap(0x2ab84000, 7260, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2ab84000
| close(3)                                = 0
| old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2ab86000
| SYS_4283()                              = -1904323808
| --- SIGSEGV (Segmentation fault) @ 0 (0) ---
| +++ killed by SIGSEGV +++

| execve("./lib/ld.so.1", ["./lib/ld.so.1", "--library-path", "/lib/", "./bin/sh"], [/* 14 vars */]) = 0
| svr4_syscall()                          = -1 ERRNO_4045 (Unknown error 4045)
| open("./bin/sh", O_RDONLY)              = 3
| read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\2\0\10\0\1\0\0\0\240R@"..., 512) = 512
| fstat64(3, {st_mode=S_IFREG|0755, st_size=379984, ...}) = 0
| getcwd("/home/waldi/d-i/trunk/installer/build/tmp/cobalt_netboot-2.6_serial/tree", 128) = 73
| old_mmap(0x400000, 348160, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0) = 0x400000
| old_mmap(0x464000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x54000) = 0x464000
| old_mmap(0x468000, 15636, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x468000
| close(3)                                = 0
| uname({sys="Linux", node="swarm", ...}) = 0
| access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
| old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2aaa8000
| access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
| open("/lib/tls/libc.so.6", O_RDONLY)    = -1 ENOENT (No such file or directory)
| stat64(0x7fb1de80, 0x7fb1deb8)          = -1 ENOENT (No such file or directory)
| open("/lib/libc.so.6", O_RDONLY)        = 3
| read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\10\0\1\0\0\0\264d\1"..., 512) = 512
| lseek(3, 692, SEEK_SET)                 = 692
| read(3, "\4\0\0\0\20\0\0\0\1\0\0\0GNU\0\0\0\0\0\2\0\0\0\6\0\0\0"..., 32) = 32
| fstat64(3, {st_mode=S_IFREG|0755, st_size=1527736, ...}) = 0
| old_mmap(NULL, 1510448, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x2aaa9000
| mprotect(0x2abfe000, 61440, PROT_NONE)  = 0
| old_mmap(0x2ac0d000, 40960, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x154000) = 0x2ac0d000
| old_mmap(0x2ac17000, 11312, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2ac17000
| close(3)                                = 0
| old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2ac1a000
| SYS_4283()                              = 171768168
| mprotect(0x2ac0d000, 20480, PROT_READ)  = 0

Bastian

-- 
Ahead warp factor one, Mr. Sulu.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 445507@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 445507@bugs.debian.org
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Sat, 20 Oct 2007 21:52:52 +0200
On Sat, Oct 20, 2007 at 09:18:24PM +0200, Bastian Blank wrote:
> | $ ./lib/ld.so.1 --library-path lib/ ./bin/sh
> | Segmentation fault

| $ LD_LIBRARY_PATH=lib/ ./bin/sh
| 
| 
| BusyBox v1.1.3 (Debian 1:1.1.3-5) Built-in shell (ash)
| Enter 'help' for a list of built-in commands.

| $ /lib/ld.so.1 --library-path lib/ ./bin/sh
| Segmentation fault

Bastian

-- 
Star Trek Lives!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 445507@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 445507@bugs.debian.org
Subject: Re: not working on mipsel - initrd not starting
Date: Sat, 12 Jan 2008 22:32:22 +0100
On Sat, Oct 06, 2007 at 01:40:20PM +0200, Martin Michlmayr wrote:
> Package: mklibs
> Version: 0.1.26
> Severity: important
> 
> It seems that mklibs is not working properly on mipsel.  When I boot a
> daily d-i image made with mklibs it stops after:
> | Freeing unused kernel memory: 124k freed
> When I re-build the image with mklibs-copy, it works.  The only
> difference is:
> 
> Binary files c/lib/libc.so.6 and m/lib/libc.so.6 differ
> Binary files c/lib/libfribidi.so.0.0.0 and m/lib/libfribidi.so.0.0.0 differ
> Binary files c/lib/libm.so.6 and m/lib/libm.so.6 differ
> Binary files c/lib/libnss_dns-2.6.1.so and m/lib/libnss_dns-2.6.1.so differ
> Binary files c/lib/libnss_files-2.6.1.so and m/lib/libnss_files-2.6.1.so differ
> Binary files c/lib/libresolv.so.2 and m/lib/libresolv.so.2 differ
> Binary files c/lib/libslang.so.2 and m/lib/libslang.so.2 differ
> 
> This is the same I reported back in September:
> http://lists.debian.org/debian-boot/2007/09/msg00028.html
> http://lists.debian.org/debian-boot/2007/09/msg00036.html
> I was told that this was due to #433874 but given that this is fixed
> now it must be something else.

I have given a try. Here the mipsel initrd.gz (the qemu one dated
20071210) works. The mips one doesn't work, but I get a different error:

Freeing unused kernel memory: 132k freed
Error -3 while decompressing!
802bbd80(7120)->812d3000(4096)
Error -3 while decompressing!
802bb9d4(7026)->8113e000(4096)

Looking at the size, the mips initrd.gz is 400kB smaller and I see no
reason for that. Either mklibs is still broken on mips, or images are
generated with the old buggy mklibs.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 445507@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 445507@bugs.debian.org
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Sat, 12 Jan 2008 23:15:03 +0100
[Message part 1 (text/plain, inline)]
On Saturday 12 January 2008, Aurelien Jarno wrote:
> Looking at the size, the mips initrd.gz is 400kB smaller and I see no
> reason for that. Either mklibs is still broken on mips, or images are
> generated with the old buggy mklibs.

The answer is in the last message to the BR before yours:
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=37;bug=445507

This is no longer an mklibs issue, but a mips toolchain issue and from my 
PoV it is extremely disappointing that porters are leaving this unresolved 
for so long.

Last I saw on #d-boot was that Thiemo took a look at it but got stuck 
because of lack of python skills (which surprised me a bit as python skills 
would only be needed if it _were_ an mklibs issue).

Cheers,
FJP
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 445507@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Frans Pop <elendil@planet.nl>, 445507@bugs.debian.org
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Sat, 12 Jan 2008 23:36:22 +0100
Frans Pop a écrit :
> On Saturday 12 January 2008, Aurelien Jarno wrote:
>> Looking at the size, the mips initrd.gz is 400kB smaller and I see no
>> reason for that. Either mklibs is still broken on mips, or images are
>> generated with the old buggy mklibs.
> 
> The answer is in the last message to the BR before yours:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=37;bug=445507

Except that it now works on mipsel (at least here), while the BR clearly
say it doesn't work on mipsel. The problem on mips may be different, as
the symptoms are different than the ones that have been reported.

> This is no longer an mklibs issue, but a mips toolchain issue and from my 
> PoV it is extremely disappointing that porters are leaving this unresolved 
> for so long.

Given to the reason above, I am personally not sure it is a toolchain issue.

Aurelien

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 445507@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 445507@bugs.debian.org
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Sun, 13 Jan 2008 00:08:45 +0100
[Message part 1 (text/plain, inline)]
On Saturday 12 January 2008, you wrote:
> Except that it now works on mipsel (at least here), while the BR clearly
> say it doesn't work on mipsel. The problem on mips may be different, as
> the symptoms are different than the ones that have been reported.
>
> Given to the reason above, I am personally not sure it is a toolchain
> issue.

Then please provide new debugging info. Running mklibs with extra -v options 
(by editing the Makefile) should give some indication.

If nobody provides the required info, the issue will not get solved. It 
really is up to ppl with the hardware to keep this going!
[signature.asc (application/pgp-signature, inline)]

Reply sent to Aurelien Jarno <aurelien@aurel32.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #62 received at 445507-done@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 445507-done@bugs.debian.org
Cc: Thiemo Seufer <ths@networkno.de>
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Sun, 13 Jan 2008 00:22:02 +0100
Aurelien Jarno a écrit :
> Frans Pop a écrit :
>> On Saturday 12 January 2008, Aurelien Jarno wrote:
>>> Looking at the size, the mips initrd.gz is 400kB smaller and I see no
>>> reason for that. Either mklibs is still broken on mips, or images are
>>> generated with the old buggy mklibs.
>> The answer is in the last message to the BR before yours:
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=37;bug=445507
> 
> Except that it now works on mipsel (at least here), while the BR clearly
> say it doesn't work on mipsel. The problem on mips may be different, as
> the symptoms are different than the ones that have been reported.
> 
>> This is no longer an mklibs issue, but a mips toolchain issue and from my 
>> PoV it is extremely disappointing that porters are leaving this unresolved 
>> for so long.
> 
> Given to the reason above, I am personally not sure it is a toolchain issue.

I have just rebuilt initrd.gz on mips with the latest d-i (SVN), and the
bug is gone. It now has almost the same size as on mipsel, d-i is now
booting correctly, and then display the welcome screen.

I am therefore closing this bug.

Thiemo, could you please regenerate the "daily" images on mips and
mipsel, so that the bug is also fixed there?

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #67 received at 445507@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 445507@bugs.debian.org
Subject: Re: not working on mipsel - initrd not starting
Date: Mon, 14 Jan 2008 12:08:23 +0100
* Aurelien Jarno <aurelien@aurel32.net> [2008-01-12 22:32]:
> Looking at the size, the mips initrd.gz is 400kB smaller and I see no
> reason for that. Either mklibs is still broken on mips, or images are
> generated with the old buggy mklibs.

I disabled mklibs library reduction on mips/mipsel for now because of
this bug and I'm using mklibs-copy instead.

When you change d-i to use mklibs, you'll see this bug.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #72 received at 445507@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 445507@bugs.debian.org
Cc: Debian BTS Control <control@bugs.debian.org>
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Mon, 14 Jan 2008 12:28:45 +0100
reopen 445507
thanks

On Monday 14 January 2008, Martin Michlmayr wrote:
> When you change d-i to use mklibs, you'll see this bug.

Reopening then.




Bug reopened, originator not changed. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Mon, 14 Jan 2008 11:30:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #79 received at 445507@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Martin Michlmayr <tbm@cyrius.com>, 445507@bugs.debian.org
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Mon, 14 Jan 2008 17:20:48 +0100
Martin Michlmayr a écrit :
> * Aurelien Jarno <aurelien@aurel32.net> [2008-01-12 22:32]:
>> Looking at the size, the mips initrd.gz is 400kB smaller and I see no
>> reason for that. Either mklibs is still broken on mips, or images are
>> generated with the old buggy mklibs.
> 
> I disabled mklibs library reduction on mips/mipsel for now because of
> this bug and I'm using mklibs-copy instead.
> 
> When you change d-i to use mklibs, you'll see this bug.

Ok, I am able to reproduce it now.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #84 received at 445507@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Thiemo Seufer <ths@debian.org>, 445507@bugs.debian.org
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Tue, 19 Feb 2008 15:38:41 +0100
On Sat, Oct 20, 2007 at 09:52:52PM +0200, Bastian Blank wrote:
> On Sat, Oct 20, 2007 at 09:18:24PM +0200, Bastian Blank wrote:
> > | $ ./lib/ld.so.1 --library-path lib/ ./bin/sh
> > | Segmentation fault
> 
> | $ LD_LIBRARY_PATH=lib/ ./bin/sh
> | 
> | 
> | BusyBox v1.1.3 (Debian 1:1.1.3-5) Built-in shell (ash)
> | Enter 'help' for a list of built-in commands.
> 
> | $ /lib/ld.so.1 --library-path lib/ ./bin/sh
> | Segmentation fault
> 

The problem comes from the following symbols in libc.so.6

00000000 l       *UND*  00000000              .hidden __nss_aliases_database
00000000 l       *UND*  00000000              .hidden __nss_rpc_database
00000000 l       *UND*  00000000              .hidden __nss_ethers_database
00000000 l       *UND*  00000000              .hidden __nss_netgroup_database
00000000 l       *UND*  00000000              .hidden __nss_shadow_database
00000000 l       *UND*  00000000              .hidden __nss_publickey_database

Those symbols are glibc symbols that are not used within the reduced 
libc. They are exported as undefined on all architectures, though they
are defined in libc_p.a.

On most architectures, they do not cause any problem, but on mips and
mipsel ld.so seems to be confused and segfault during the relocation
phase. Thiemo, do you have an idea about what can lead to segfault?

Also note that in Etch those symbols were also undefined, but not
hidden. I guess this is the reason why mklibs stopped working.

A quick workaround is to mark those functions as used by using the -u
options from gcc as it is done for other symbols. It only increase the
size of libc.so.6 by a few kilobytes, and I have tested that it actually
works correctly.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. (Sun, 12 Oct 2008 06:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 12 Oct 2008 06:42:02 GMT) Full text and rfc822 format available.

Message #89 received at 445507@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 445507@bugs.debian.org
Subject: Re: not working on mipsel - initrd not starting
Date: Sat, 11 Oct 2008 23:39:38 -0700
If d-i is working on mips* right now using mklibs-copy, is there any reason
left to treat this bug as RC for lenny?  It really does not appear to be
blocking anything for release in practice.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. (Sun, 12 Oct 2008 07:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 12 Oct 2008 07:39:02 GMT) Full text and rfc822 format available.

Message #94 received at 445507@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 445507@bugs.debian.org
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Sun, 12 Oct 2008 09:29:24 +0200
* Steve Langasek <vorlon@debian.org> [2008-10-11 23:39]:
> If d-i is working on mips* right now using mklibs-copy, is there any
> reason left to treat this bug as RC for lenny?  It really does not
> appear to be blocking anything for release in practice.

I don't think it should be RC.  I believe Frans disagrees but I'm not
sure why.
-- 
Martin Michlmayr
http://www.cyrius.com/




Tags added: lenny-ignore Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sun, 12 Oct 2008 08:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#445507; Package mklibs. (Sun, 12 Oct 2008 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 12 Oct 2008 08:18:03 GMT) Full text and rfc822 format available.

Message #101 received at 445507@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 445507@bugs.debian.org
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Sun, 12 Oct 2008 10:16:58 +0200
On Sunday 12 October 2008, Martin Michlmayr wrote:
> * Steve Langasek <vorlon@debian.org> [2008-10-11 23:39]:
> > If d-i is working on mips* right now using mklibs-copy, is there any
> > reason left to treat this bug as RC for lenny?  It really does not
> > appear to be blocking anything for release in practice.
>
> I don't think it should be RC.  I believe Frans disagrees but I'm not
> sure why.

IMO it is a serious issue as using mklibs on mips/mipsel will result in a 
non-working system. I'm still rather disappointed (and even somewhat 
pissed off) that the mips/mipsel porters have not managed to solve it in 
over a year time now. The fact that we can work around it for D-I using 
mklibs-copy does not change its severity.

I intended to tag it lenny-ignore last week, but made a mistake with the 
bug number. It should now be tagged correctly.




Reply sent to Aurelien Jarno <aurelien@aurel32.net>:
You have taken responsibility. (Sun, 17 May 2009 12:00:03 GMT) Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. (Sun, 17 May 2009 12:00:03 GMT) Full text and rfc822 format available.

Message #106 received at 445507-done@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 445507-done@bugs.debian.org
Subject: Re: Bug#445507: not working on mipsel - initrd not starting
Date: Sun, 17 May 2009 13:59:12 +0200
I am not able to reproduce this bug anymore building d-i in unstable.
I am still able to reproduce it in stable though. I guess something
has fixed the problem. I am therefore closing this bug.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Jun 2009 07:28:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:28:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.